<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:layout_below="@+id/navigation_bar">

        <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <TextView
                android:textSize="17sp"
                android:textStyle="bold"
                android:textColor="@android:color/black"
                android:gravity="center_vertical"
                android:id="@+id/printer_name_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:layout_marginTop="5dp"
                android:minHeight="45dp"
                android:text="@string/epsonconnect_str_printer_name" />

            <FrameLayout
                android:id="@+id/printer_name_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <EditText
                    android:textSize="18dp"
                    android:id="@+id/printer_name_edit"
                    android:background="@drawable/setting_border"
                    android:paddingLeft="5dp"
                    android:paddingTop="5dp"
                    android:paddingRight="35dp"
                    android:paddingBottom="5dp"
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:singleLine="true" />

                <Button
                    android:textColor="@color/black"
                    android:gravity="right|center_vertical|center_horizontal|center"
                    android:layout_gravity="right|center_vertical|center_horizontal|center"
                    android:id="@+id/clear_printer_name_btn"
                    android:background="@drawable/clear_text"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginRight="5dp" />
            </FrameLayout>

            <TextView
                android:textSize="17sp"
                android:textStyle="bold"
                android:textColor="@android:color/black"
                android:gravity="center_vertical"
                android:id="@+id/printer_email_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:layout_marginTop="20dp"
                android:minHeight="45dp"
                android:text="@string/epsonconnect_str_print_email" />

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <EditText
                    android:textSize="18dp"
                    android:id="@+id/printer_email_address_edit"
                    android:background="@drawable/setting_border"
                    android:paddingLeft="5dp"
                    android:paddingTop="5dp"
                    android:paddingRight="35dp"
                    android:paddingBottom="5dp"
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:singleLine="true"
                    android:inputType="textEmailAddress" />

                <Button
                    android:textColor="@color/black"
                    android:gravity="right|center_vertical|center_horizontal|center"
                    android:layout_gravity="right|center_vertical|center_horizontal|center"
                    android:id="@+id/clear_printer_email_address_btn"
                    android:background="@drawable/clear_text"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginRight="5dp" />
            </FrameLayout>

            <TextView
                android:textSize="17sp"
                android:textStyle="bold"
                android:textColor="@android:color/black"
                android:gravity="center_vertical"
                android:id="@+id/access_key_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:layout_marginTop="20dp"
                android:minHeight="45dp"
                android:text="@string/epsonconnect_str_print_access_key" />

            <FrameLayout
                android:id="@+id/access_key_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <EditText
                    android:textSize="16dp"
                    android:ellipsize="end"
                    android:id="@+id/access_key_edit"
                    android:background="@drawable/setting_border"
                    android:paddingLeft="5dp"
                    android:paddingTop="5dp"
                    android:paddingRight="35dp"
                    android:paddingBottom="5dp"
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:hint="@string/epsonconnect_str_remote_print_access_key_warning"
                    android:singleLine="true"
                    android:inputType="textPassword" />

                <Button
                    android:textColor="@color/black"
                    android:gravity="right|center_vertical|center_horizontal|center"
                    android:layout_gravity="right|center_vertical|center_horizontal|center"
                    android:id="@+id/clear_access_key_btn"
                    android:background="@drawable/clear_text"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginRight="5dp" />
            </FrameLayout>

            <View
                android:background="@color/black"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="8dp"
                android:layout_marginTop="30dp"
                android:layout_marginRight="8dp"
                android:layout_marginBottom="30dp" />

            <LinearLayout
                android:orientation="vertical"
                android:id="@+id/get_mailadress"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:textSize="17sp"
                    android:textStyle="bold"
                    android:textColor="@android:color/black"
                    android:gravity="center_vertical"
                    android:id="@+id/tvepsonconnect"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="8dp"
                    android:layout_marginRight="8dp"
                    android:text="@string/remoteprinter_notregister"
                    android:layout_alignParentLeft="true" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/rlPrinterSettings"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dp"
                    android:minHeight="48dp">

                    <TextView
                        android:gravity="center_vertical"
                        android:layout_gravity="left|center_vertical|center_horizontal|center"
                        android:id="@+id/TextView02"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:text="@string/remoteprinter_get_emailadress"
                        android:layout_weight="1"
                        style="@style/ItemTextBold" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:background="@drawable/next_screen"
                        android:layout_width="38dp"
                        android:layout_height="38dp"
                        android:scaleType="fitXY" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</RelativeLayout>
